| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
wxTextAttrSize Class Reference
Rich Text

`#include <wx/richtext/richtextbuffer.h>`

## Detailed Description

A class for representing width and height.

##

Library: wxRichText
Category: Rich Text

See Also
  wxRichTextAttr, wxRichTextCtrl, wxTextAttrDimension

## Public Member Functions

| wxTextAttrSize ()
| Default constructor.
void | Reset ()
| Resets the width and height dimensions.
bool | operator== (const wxTextAttrSize &size) const
| Equality operator.
bool | EqPartial (const wxTextAttrSize &size, bool weakTest=true) const
| Partial equality test.
bool | Apply (const wxTextAttrSize &dims, const wxTextAttrSize *compareWith=NULL)
| Apply to this object, but not if the same as compareWith.
void | CollectCommonAttributes (const wxTextAttrSize &attr, wxTextAttrSize &clashingAttr, wxTextAttrSize &absentAttr)
| Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.
bool | RemoveStyle (const wxTextAttrSize &attr)
| Removes the specified attributes from this object.
wxTextAttrDimension & | GetWidth ()
| Returns the width.
const wxTextAttrDimension & | GetWidth () const
void | SetWidth (int value, wxTextAttrDimensionFlags flags)
| Sets the width.
void | SetWidth (int value, wxTextAttrUnits units)
| Sets the width.
void | SetWidth (const wxTextAttrDimension &dim)
| Sets the width.
wxTextAttrDimension & | GetHeight ()
| Gets the height.
const wxTextAttrDimension & | GetHeight () const
void | SetHeight (int value, wxTextAttrDimensionFlags flags)
| Sets the height.
void | SetHeight (int value, wxTextAttrUnits units)
| Sets the height.
void | SetHeight (const wxTextAttrDimension &dim)
| Sets the height.
bool | IsValid () const
| Is the size valid?

## Public Attributes

wxTextAttrDimension | m_width
wxTextAttrDimension | m_height

## Constructor & Destructor Documentation

wxTextAttrSize::wxTextAttrSize | ( |  | ) |

inline

Default constructor.

## Member Function Documentation

bool wxTextAttrSize::Apply | ( | const wxTextAttrSize & | dims,
|  | const wxTextAttrSize * | compareWith = `NULL`
| ) |  |

Apply to this object, but not if the same as compareWith.

void wxTextAttrSize::CollectCommonAttributes | ( | const wxTextAttrSize & | attr,
|  | wxTextAttrSize & | clashingAttr,
|  | wxTextAttrSize & | absentAttr
| ) |  |

Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.

bool wxTextAttrSize::EqPartial | ( | const wxTextAttrSize & | size,
|  | bool | weakTest = `true`
| ) |  | const

Partial equality test.

If weakTest is true, attributes of this object do not have to be present if those attributes of size are present. If weakTest is false, the function will fail if an attribute is present in size but not in this object.

wxTextAttrDimension& wxTextAttrSize::GetHeight | ( |  | ) |

inline

Gets the height.

const wxTextAttrDimension& wxTextAttrSize::GetHeight | ( |  | ) | const

inline

wxTextAttrDimension& wxTextAttrSize::GetWidth | ( |  | ) |

inline

Returns the width.

const wxTextAttrDimension& wxTextAttrSize::GetWidth | ( |  | ) | const

inline

bool wxTextAttrSize::IsValid | ( |  | ) | const

inline

Is the size valid?

bool wxTextAttrSize::operator== | ( | const wxTextAttrSize & | size | ) | const

inline

Equality operator.

bool wxTextAttrSize::RemoveStyle | ( | const wxTextAttrSize & | attr | ) |

Removes the specified attributes from this object.

void wxTextAttrSize::Reset | ( |  | ) |

inline

Resets the width and height dimensions.

void wxTextAttrSize::SetHeight | ( | int | value,
|  | wxTextAttrDimensionFlags | flags
| ) |  |

inline

Sets the height.

void wxTextAttrSize::SetHeight | ( | int | value,
|  | wxTextAttrUnits | units
| ) |  |

inline

Sets the height.

void wxTextAttrSize::SetHeight | ( | const wxTextAttrDimension & | dim | ) |

inline

Sets the height.

void wxTextAttrSize::SetWidth | ( | int | value,
|  | wxTextAttrDimensionFlags | flags
| ) |  |

inline

Sets the width.

void wxTextAttrSize::SetWidth | ( | int | value,
|  | wxTextAttrUnits | units
| ) |  |

inline

Sets the width.

void wxTextAttrSize::SetWidth | ( | const wxTextAttrDimension & | dim | ) |

inline

Sets the width.

## Member Data Documentation

wxTextAttrDimension wxTextAttrSize::m_height

wxTextAttrDimension wxTextAttrSize::m_width